Skip to main content
POST
/
inbox
/
conversations
/
labels
/
{contactId}
Attach Labels to Conversations
curl --request POST \
  --url https://api.lemlist.com/api/inbox/conversations/labels/{contactId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "labelIds": [
    "lbl_uPAAgsi4oi9juBHfW",
    "lbl_oZCShmPCP2L43b8qf"
  ],
  "appendLabels": true
}
'
import requests

url = "https://api.lemlist.com/api/inbox/conversations/labels/{contactId}"

payload = {
    "labelIds": ["lbl_uPAAgsi4oi9juBHfW", "lbl_oZCShmPCP2L43b8qf"],
    "appendLabels": True
}
headers = {
    "Authorization": "Basic <encoded-value>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    labelIds: ['lbl_uPAAgsi4oi9juBHfW', 'lbl_oZCShmPCP2L43b8qf'],
    appendLabels: true
  })
};

fetch('https://api.lemlist.com/api/inbox/conversations/labels/{contactId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/inbox/conversations/labels/{contactId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"labelIds\": [\n    \"lbl_uPAAgsi4oi9juBHfW\",\n    \"lbl_oZCShmPCP2L43b8qf\"\n  ],\n  \"appendLabels\": true\n}"

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/inbox/conversations/labels/{contactId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'labelIds' => [
        'lbl_uPAAgsi4oi9juBHfW',
        'lbl_oZCShmPCP2L43b8qf'
    ],
    'appendLabels' => true
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "ok": true
}
"Invalid request body: labelIds must be an array and appendLabels must be a boolean"
"The authentication you supplied is incorrect"
"Label not found"
This endpoint uses the Label object.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

contactId
string
required

Contact ID

Body

application/json
labelIds
string[]
required

Array of label IDs to attach

appendLabels
boolean
required

If true, appends labels to existing ones. If false, replaces all labels.

Response

Success

ok
boolean